Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Interface TestManager

All Known Implementing Classes:
  DefaultTestManager

    public interface TestManager

Field Summary
`static String` | `KEY_ALL_BUILDS`
`static String` | `KEY_LAST_25_BUILDS`
`static String` | `KEY_LAST_30_DAYS`
`static String` | `KEY_LAST_7_DAYS`
`static String` | `KEY_LAST_90_DAYS`

Method Summary
`Map` | `getAllTestCases(Build build, TestCaseFilter filter)` A Map all test cases which was ever historically present.
`List` | `getLongestRunningTests(Build build, int number, TestCaseFilter filter)`
`List` | `getLongestTimeToFixTests(Build build, int number, TestCaseFilter filter)`
`List` | `getMostFailingTests(Build build, int number, TestCaseFilter filter)` Get a list of the top X most failing test cases historically.
`TestCase` | `getTestCase(Build build, String key, TestCaseFilter filter)` Get a `TestCase` object representing the test case
`TestCaseFilter` | `getTestCaseFilter(String key, Build build)`

Field Detail

### KEY_LAST_7_DAYS

    static final String KEY_LAST_7_DAYS

See Also:
  Constant Field Values

### KEY_LAST_30_DAYS

    static final String KEY_LAST_30_DAYS

See Also:
  Constant Field Values

### KEY_LAST_90_DAYS

    static final String KEY_LAST_90_DAYS

See Also:
  Constant Field Values

### KEY_ALL_BUILDS

    static final String KEY_ALL_BUILDS

See Also:
  Constant Field Values

### KEY_LAST_25_BUILDS

    static final String KEY_LAST_25_BUILDS

See Also:
  Constant Field Values

Method Detail

### getTestCase

    TestCase getTestCase(Build build,
                         String key,
                         TestCaseFilter filter)

  Get a `TestCase` object representing the test case

  Parameters:
    `build` -
    `key` -
  Returns:
    `TestCase`

### getAllTestCases

    Map getAllTestCases(Build build,
                        TestCaseFilter filter)
                        throws IOException

  A Map all test cases which was ever historically present. Each test case is one with a unique test suite and method name. The Key of map is the test case, in the form of: a.c.X:testFoo

  Parameters:
    `build` -
  Returns:
    `Map` of test cases. Key is the key of the test case. the value is the actual `TestCase` object.
  Throws:
    `IOException`

### getMostFailingTests

    List getMostFailingTests(Build build,
                             int number,
                             TestCaseFilter filter)
                             throws IOException

  Get a list of the top X most failing test cases historically.

  Parameters:
    `build` -
    `number` - - the top X number failing test cases
  Returns:
    `List` of `TestCase` objects representing this.
  Throws:
    `IOException`

### getTestCaseFilter

    TestCaseFilter getTestCaseFilter(String key,
                                     Build build)

### getLongestRunningTests

    List getLongestRunningTests(Build build,
                                int number,
                                TestCaseFilter filter)
                                throws IOException

  Throws:
    `IOException`

### getLongestTimeToFixTests

    List getLongestTimeToFixTests(Build build,
                                  int number,
                                  TestCaseFilter filter)
                                  throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.